package frc.robot.constants;

public interface ElevatorConstants {
    public enum ElevatorPositions {
        kBottom(0),
        kLowMid(1),
        kHighMid(2),
        kTop(3);

        private double position;

        private ElevatorPositions(double position) {
            this.position = position;
        }

        public double getPositionValue() {
            return position;
        }

        public void setPositionValue(double newPosition) {
            position = newPosition;
        }
    }
    public static final int kMotor1CANID = 0;
    public static final int kMotor2CANID = 1;

    public static final int kEncoderChannelADIO = 0;
    public static final int kEncoderChannelBDIO = 1;

    public static final double kEncoderDistancePerPulse = 0.0000000001; //Avoids UncleanStatusException distancPerPulse must not be 0

    public static final double kPPositional = 0;
    public static final double kIPositional = 0;
    public static final double kDPositional = 0;

    public static final double kPVelocity = 0;
    public static final double kIVelocity = 0;
    public static final double kDVelocity = 0;

    public static final double kPIDTolerancePositional = 0;
    public static final double kPIDToleranceVelocity = 0;

    public static final double kFFS = 0;
    public static final double kFFG = 0;
    public static final double kFFV = 0;

    public static final double kElevatorMaxVelocity = 0;
}
